# This file is part of Tryton.  The COPYRIGHT file at the top level of
# this repository contains the full copyright notices and license terms.
from trytond.model import (ModelSQL, ModelView, fields, Workflow)
from datetime import datetime

class Recepcion(ModelView, ModelSQL):
    "Recepcion"
    __name__= "taller.recepcion"

    tercero = fields.Many2One("party.party", "Tercero")
    metodo_contacto=fields.Many2One('party.contact_mechanism', "Contacto")
    hora_entrada = fields.DateTime('Hora Entrada')
    referencia = fields.Char("Referencia")
    descripcion = fields.Text("Descripcion")
    estado = fields.Selection([("borrador","Borrador"),("registrado", "Registrado")],"Estado")


    @classmethod
    def default_hora_entrada(cls):
        return datetime.now()

    @classmethod
    def default_estado(cls):
        return "borrador"

    @classmethod         #constructor clase
    def __setup__(cls):
        super(Recepcion, cls).__setup__()
        cls._transitions=({("borrador","registrado"),("registrado","borrador") })
        cls._buttons.update({"registrado":{}})
    
    @classmethod
    @ModelView.button
    @Workflow.transition("registrado")
    def registrado(cls, records):
        pass
     

        
